/*
 * Paraselene
 * Copyright (c) 2009, 2010  Akira Terasaki
 * このファイルは同梱されているLicense.txtに定めた条件に同意できる場合にのみ
 * 利用可能です。
 */
package paraselene.ajax.data;

import java.io.*;

public class PostBack implements Serializable {
	private static final long serialVersionUID = 2L;

	public String	location = null;
	public Open		open = null;
	public Close	close = null;
	public TagData	tag = null;
	public Exec		exec = null;

	public PostBack(){}

	public PostBack( String l ) {
		location = l;
	}

	public PostBack( Open o ) {
		open = o;
	}

	public PostBack( Close c ) {
		close = c;
	}

	public PostBack( TagData t ) {
		tag = t;
	}

	public PostBack( Exec e ) {
		exec = e;
	}
}

